import { HttpService } from '../core';
import * as i0 from "@angular/core";
export declare class RoleService {
    private http;
    constructor(http: HttpService);
    createRole(role: any): Promise<Object>;
    updateRole(role: any): Promise<Object>;
    getClientSubscriptions(filters?: any): Promise<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoleService>;
}
